OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.GPUProgram4

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVGPUProgram4 :: MonadIO m => m Bool
- gl_NV_gpu_program4 :: Bool
- gl_MAX_PROGRAM_ATTRIB_COMPONENTS_NV :: GLenum
- gl_MAX_PROGRAM_GENERIC_ATTRIBS_NV :: GLenum
- gl_MAX_PROGRAM_GENERIC_RESULTS_NV :: GLenum
- gl_MAX_PROGRAM_RESULT_COMPONENTS_NV :: GLenum
- gl_MAX_PROGRAM_TEXEL_OFFSET_NV :: GLenum
- gl_MIN_PROGRAM_TEXEL_OFFSET_NV :: GLenum
- gl_PROGRAM_ATTRIB_COMPONENTS_NV :: GLenum
- gl_PROGRAM_RESULT_COMPONENTS_NV :: GLenum
- glGetProgramEnvParameterIivNV :: MonadIO m => GLenum -> GLuint -> Ptr GLint -> m ()
- glGetProgramEnvParameterIuivNV :: MonadIO m => GLenum -> GLuint -> Ptr GLuint -> m ()
- glGetProgramLocalParameterIivNV :: MonadIO m => GLenum -> GLuint -> Ptr GLint -> m ()
- glGetProgramLocalParameterIuivNV :: MonadIO m => GLenum -> GLuint -> Ptr GLuint -> m ()
- glProgramEnvParameterI4iNV :: MonadIO m => GLenum -> GLuint -> GLint -> GLint -> GLint -> GLint -> m ()
- glProgramEnvParameterI4ivNV :: MonadIO m => GLenum -> GLuint -> Ptr GLint -> m ()
- glProgramEnvParameterI4uiNV :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glProgramEnvParameterI4uivNV :: MonadIO m => GLenum -> GLuint -> Ptr GLuint -> m ()
- glProgramEnvParametersI4ivNV :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLint -> m ()
- glProgramEnvParametersI4uivNV :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLuint -> m ()
- glProgramLocalParameterI4iNV :: MonadIO m => GLenum -> GLuint -> GLint -> GLint -> GLint -> GLint -> m ()
- glProgramLocalParameterI4ivNV :: MonadIO m => GLenum -> GLuint -> Ptr GLint -> m ()
- glProgramLocalParameterI4uiNV :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glProgramLocalParameterI4uivNV :: MonadIO m => GLenum -> GLuint -> Ptr GLuint -> m ()
- glProgramLocalParametersI4ivNV :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLint -> m ()
- glProgramLocalParametersI4uivNV :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLuint -> m ()

# Extension Support

glGetNVGPUProgram4 :: MonadIO m => m Bool

Is the NV_gpu_program4 extension supported?

gl_NV_gpu_program4 :: Bool

Is the NV_gpu_program4 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVGPUProgram4` in those cases instead.

# Enums

gl_MAX_PROGRAM_ATTRIB_COMPONENTS_NV :: GLenum

gl_MAX_PROGRAM_GENERIC_ATTRIBS_NV :: GLenum

gl_MAX_PROGRAM_GENERIC_RESULTS_NV :: GLenum

gl_MAX_PROGRAM_RESULT_COMPONENTS_NV :: GLenum

gl_MAX_PROGRAM_TEXEL_OFFSET_NV :: GLenum

gl_MIN_PROGRAM_TEXEL_OFFSET_NV :: GLenum

gl_PROGRAM_ATTRIB_COMPONENTS_NV :: GLenum

gl_PROGRAM_RESULT_COMPONENTS_NV :: GLenum

# Functions

glGetProgramEnvParameterIivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

glGetProgramEnvParameterIuivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> Ptr GLuint | `params` pointing to `4` elements of type `GLuint`.
-> m () |

glGetProgramLocalParameterIivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

glGetProgramLocalParameterIuivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> Ptr GLuint | `params` pointing to `4` elements of type `GLuint`.
-> m () |

glProgramEnvParameterI4iNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> GLint | `x`.
-> GLint | `y`.
-> GLint | `z`.
-> GLint | `w`.
-> m () |

The vector equivalent of this command is `glProgramEnvParameterI4ivNV`.

glProgramEnvParameterI4ivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

glProgramEnvParameterI4uiNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> GLuint | `x`.
-> GLuint | `y`.
-> GLuint | `z`.
-> GLuint | `w`.
-> m () |

The vector equivalent of this command is `glProgramEnvParameterI4uivNV`.

glProgramEnvParameterI4uivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> Ptr GLuint | `params` pointing to `4` elements of type `GLuint`.
-> m () |

glProgramEnvParametersI4ivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLint | `params` pointing to `count*4` elements of type `GLint`.
-> m () |

glProgramEnvParametersI4uivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLuint | `params` pointing to `count*4` elements of type `GLuint`.
-> m () |

glProgramLocalParameterI4iNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> GLint | `x`.
-> GLint | `y`.
-> GLint | `z`.
-> GLint | `w`.
-> m () |

The vector equivalent of this command is `glProgramLocalParameterI4ivNV`.

glProgramLocalParameterI4ivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

glProgramLocalParameterI4uiNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> GLuint | `x`.
-> GLuint | `y`.
-> GLuint | `z`.
-> GLuint | `w`.
-> m () |

The vector equivalent of this command is `glProgramLocalParameterI4uivNV`.

glProgramLocalParameterI4uivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> Ptr GLuint | `params` pointing to `4` elements of type `GLuint`.
-> m () |

glProgramLocalParametersI4ivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLint | `params` pointing to `count*4` elements of type `GLint`.
-> m () |

glProgramLocalParametersI4uivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTarget`.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLuint | `params` pointing to `count*4` elements of type `GLuint`.
-> m () |